## Uses of Class
com.ihr.xbrl.om.exLinks.XBRLExtendedLink

- Packages that use XBRLExtendedLink
  Package | Description
  --- | ---
  com.ihr.xbrl.adins.efm.errors | Provides classes for the specific error messages for the the implementation of the Edgar Filer Manual validation add-in This package is part of the implementation of the Edgar Filer Manual
  com.ihr.xbrl.om | Provides the classes necessary to start processing XBRL information.
  com.ihr.xbrl.om.assertions |
  com.ihr.xbrl.om.autofill |
  com.ihr.xbrl.om.exLinks | Provides the classes necessary to process, read and write XBRL Linkbases and XBRL Extended links.
  com.ihr.xbrl.om.formula | Provides the classes necessary to implement a plug in XBRL processor for validation of docuents and taxonomies according to the XBRL formula specification 1.0 At this stage the package is just created.
  com.ihr.xbrl.om.formula.filters |
  com.ihr.xbrl.om.renderhints | This is a renderhints processor that process resources in linkbases to define render hints that Reporting Standard tools understands
  com.ihr.xbrl.om.table | This package contains an object model to work with tables as defined in the XBRL Table specification The current implementation is based on table linkbase PWD http://www.xbrl.org/Specification/table-linkbase/PWD-2013-05-17/table-linkbase-PWD-2013-05-17.html The XBRLTableProcessor class
  com.ihr.xbrl.om.taxonomy | Provides the classes necessary to process, write and read XBRL Taxonomy schemas and content of the XBRL Taxonomy Schemas that requires XBRL processing.
  com.ihr.xbrl.pojo | Provides the classes necessary to access to the content of a DTS using POJO technology.
  com.rs.xbrl |

- - ### Uses of XBRLExtendedLink in com.ihr.xbrl.adins.efm.errors

    Constructors in com.ihr.xbrl.adins.efm.errors with parameters of type XBRLExtendedLink
    Constructor and Description
    `EFMRoleTypeMissing(XBRLExtendedLink xbrlExtendedLink)` Instantiates a new EFM role type missing.

  - ### Uses of XBRLExtendedLink in com.ihr.xbrl.om

    Methods in com.ihr.xbrl.om that return XBRLExtendedLink
    Modifier and Type | Method and Description
    --- | ---
    `XBRLExtendedLink` | XBRLDocument.`getExtendedLink(net.sf.saxon.s9api.XdmNode key)` Gets the extended link.

    Methods in com.ihr.xbrl.om that return types with arguments of type XBRLExtendedLink
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Iterator<XBRLExtendedLink>` | XBRLDocument.`getExtendedLinks()` Returns an iterator over all extended links on this container.
    `java.lang.Iterable<XBRLExtendedLink>` | DTSContainer.`getExtendedLinks()` Gets the extended links.
    `java.util.Iterator<XBRLExtendedLink>` | XBRLDocument.`getExtendedLinks(XBRLRoleType role)` Returns an iterator over all extended links on this container filtered by the specific role type indicated in the role parameter.

    Methods in com.ihr.xbrl.om with parameters of type XBRLExtendedLink
    Modifier and Type | Method and Description
    --- | ---
    `void` | XBRLDocument.`addExtendedLink(XBRLExtendedLink newExtendedLink)` Adds the extended link.
    `XBRLResource` | DTSContainer.`cacheResource(XBRLExtendedLink parent, net.sf.saxon.s9api.XdmNode ni, java.lang.Class<? extends XBRLResource> name)` Obtains a resource from the cache or creates a new resource corresponding to the node supplied as a parameter and stores it in the cache for further reference.
    `void` | XBRLDocument.`changeExtendedLinkKey(net.sf.saxon.s9api.XdmNode oldKey, net.sf.saxon.s9api.XdmNode newKey, XBRLExtendedLink link)` Change extended link key.
    `void` | XBRLDocument.`removeExtendedLink(XBRLExtendedLink link)` Removes the extended link.

  - ### Uses of XBRLExtendedLink in com.ihr.xbrl.om.assertions

    Constructors in com.ihr.xbrl.om.assertions with parameters of type XBRLExtendedLink
    Constructor and Description
    `XBRLAssertion(XBRLFormulaProcessor proc, XBRLExtendedLink parent, net.sf.saxon.s9api.XdmNode resNode)` Creates a new assertion from a node in an extended link.
    `XBRLConsistencyAssertion(XBRLFormulaProcessor proc, XBRLExtendedLink parent, net.sf.saxon.s9api.XdmNode resNode)` Instantiates a new XBRL consistency assertion.
    `XBRLExistenceAssertion(XBRLFormulaProcessor proc, XBRLExtendedLink parent, net.sf.saxon.s9api.XdmNode resNode)` Instantiates a new XBRL existence assertion.
    `XBRLValueAssertion(XBRLFormulaProcessor proc, XBRLExtendedLink parent, net.sf.saxon.s9api.XdmNode resNode)` Instantiates a new XBRL value assertion.

  - ### Uses of XBRLExtendedLink in com.ihr.xbrl.om.autofill

    Constructors in com.ihr.xbrl.om.autofill with parameters of type XBRLExtendedLink
    Constructor and Description
    `AutoFill(XBRLExtendedLink parent)` Constructs a new RenderHints empty resource.
    `AutoFill(XBRLExtendedLink parent, boolean bAddToParent)` Instantiates a new auto fill.
    `AutoFill(XBRLExtendedLink parent, net.sf.saxon.s9api.XdmNode resNode)` Instantiates a new auto fill.

  - ### Uses of XBRLExtendedLink in com.ihr.xbrl.om.exLinks

    Subclasses of XBRLExtendedLink in com.ihr.xbrl.om.exLinks
    Modifier and Type | Class and Description
    --- | ---
    `class` | `CalculationLinkbase` The Class CalculationLinkbase.
    `class` | `DefinitionLinkbase` The Class DefinitionLinkbase.
    `class` | `FootnoteLinkbase` The Class FootnoteLinkbase.
    `class` | `FormulaLinkbase` The Class FormulaLinkbase.
    `class` | `GenericLinkbase` The Class GenericLinkbase.
    `class` | `LabelLinkbase` The Class LabelLinkbase.
    `class` | `OtherLinkbase` The OtherLinkbase object fits in linkbases that are out of the scope of written specifications but are right because they agree with the In previous versions of the API the Generic Linkbase was created for Generic and Other linkbase types.
    `class` | `PresentationLinkbase` The Class PresentationLinkbase.
    `class` | `ReferenceLinkbase` The Class ReferenceLinkbase.
    `class` | `VersionLinkbase` Deprecated. this is a very old class that is no longer used in the system. Versioning information is not going to be stored in a linkbase anymore

    Methods in com.ihr.xbrl.om.exLinks that return XBRLExtendedLink
    Modifier and Type | Method and Description
    --- | ---
    `static XBRLExtendedLink` | XBRLExtendedLink.`createExtendedLink(XBRLDocument parent, DTSBase base)` Creates the extended link.
    `static XBRLExtendedLink` | XBRLExtendedLink.`createExtendedLink(XBRLDocument parent, javax.xml.namespace.QName rootElementName, XBRLRoleType role)` Creates the extended link.
    `static XBRLExtendedLink` | XBRLExtendedLink.`createExtendedLink(XBRLDocument parent, net.sf.saxon.s9api.XdmNode node)` Creates the extended link.
    `XBRLExtendedLink` | XBRLResource.`getParent()` Access to the [Parent] property.
    `XBRLExtendedLink` | XBRLRelationship.`getParent()` Access to the [Parent] property.
    `XBRLExtendedLink` | XBRLLocator.`getParent()`
    `XBRLExtendedLink` | XBRLArc.`getParent()` Access to the [Parent] property.

    Methods in com.ihr.xbrl.om.exLinks that return types with arguments of type XBRLExtendedLink
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Iterator<XBRLExtendedLink>` | DTSBase.`getExtendedLinks()` Gets the extended links.

    Methods in com.ihr.xbrl.om.exLinks with parameters of type XBRLExtendedLink
    Modifier and Type | Method and Description
    --- | ---
    `void` | DTSBase.`addExtendedLink(XBRLExtendedLink extendedLink)` An optimization of this strategy would be to write down the relationships not the extended links one by one.
    `java.util.Iterator<XBRLArcroleType>` | DTSBase.`getArcroles(XBRLExtendedLink filter)` An iterator over arcroles in one extended link.
    `boolean` | DTSBase.`removeExtendedLink(XBRLExtendedLink extendedLink)` Removes an extended link from this base.
    `void` | XBRLResource.`setParent(XBRLExtendedLink parent)` Sets the parent of this resource to the Extended link that is used in the parameter.
    `void` | XBRLRelationship.`setParent(XBRLExtendedLink parent)` Sets the parent of this relationship to a new extended link.

    Constructors in com.ihr.xbrl.om.exLinks with parameters of type XBRLExtendedLink
    Constructor and Description
    `XBRLArc(XBRLExtendedLink parent, net.sf.saxon.s9api.XdmNode node, XBRLArcroleType arcroleType)` Creates a new XBRLArc with a surrounding node.
    `XBRLLabelResource(XBRLExtendedLink parent, java.lang.String lang, java.lang.String label, XBRLRoleType role)` Applications creating a new label resource.
    `XBRLLabelResource(XBRLExtendedLink parent, net.sf.saxon.s9api.XdmNode resNode)` Creates a new label from a node in an extended link.
    `XBRLRelationship(XBRLExtendedLink parent, DTSContainer dts, XBRLArcroleType arcroleType, XMLFragment from, XMLFragment to, net.sf.saxon.s9api.XdmNode document, XBRLAttribute[] attributes)` Creates a new relationship object from a XdmNode in a file parent linkbaseType - QName returned by the baseArc.getLinkbaseType()
    `XBRLRelationship(XBRLExtendedLink parent, javax.xml.namespace.QName type, XMLFragment from, XMLFragment to, XBRLArcroleType arcroleType, XBRLAttribute[] attributes, boolean bValidate)` Creates a new relationship object programatically.
    `XBRLResource(XBRLExtendedLink parent, javax.xml.namespace.QName type, boolean bAddToParent)` Creates a XBRLResource programatically Set bAddToParent to false if the resource is not fully initialized in this case this function never throws a XBRLDuplicateResource exception Starting with release 2.6.5 this constructor requires the element declaration of the type parameter to be loaded in the set of schemas available in the DTSContainer of the parent.
    `XBRLResource(XBRLExtendedLink parent, net.sf.saxon.s9api.XdmNode resNode)` constructor of an XBRLResource object.

  - ### Uses of XBRLExtendedLink in com.ihr.xbrl.om.formula

    Constructors in com.ihr.xbrl.om.formula with parameters of type XBRLExtendedLink
    Constructor and Description
    `XBRLCustomFunction(XBRLFormulaProcessor proc, XBRLExtendedLink parent, net.sf.saxon.s9api.XdmNode resNode)` Instantiates a new XBRL custom function.
    `XBRLFormula(XBRLFormulaProcessor proc, XBRLExtendedLink parent, net.sf.saxon.s9api.XdmNode resNode)` Creates a new formula from a node in an extended link.
    `XBRLFormulaResource(XBRLFormulaProcessor proc, XBRLExtendedLink parent, net.sf.saxon.s9api.XdmNode resNode)` Instantiates a new XBRL formula resource.
    `XBRLVariableResource(XBRLFormulaProcessor proc, XBRLExtendedLink parent, net.sf.saxon.s9api.XdmNode resNode)` Instantiates a new XBRL variable resource.
    `XBRLVariableSetResource(XBRLFormulaProcessor proc, XBRLExtendedLink parent, net.sf.saxon.s9api.XdmNode resNode)` Instantiates a new XBRL variable set resource.

  - ### Uses of XBRLExtendedLink in com.ihr.xbrl.om.formula.filters

    Constructors in com.ihr.xbrl.om.formula.filters with parameters of type XBRLExtendedLink
    Constructor and Description
    `XBRLFormulaFilterBase(XBRLFormulaProcessor proc, XBRLExtendedLink parent, net.sf.saxon.s9api.XdmNode resNode)` Instantiates a new XBRL formula filter base.
    `XBRLMatchAbstractFilter(XBRLFormulaProcessor proc, XBRLExtendedLink parent, net.sf.saxon.s9api.XdmNode resNode)` Instantiates a new XBRL match abstract filter.
    `XBRLMatchConceptFilter(XBRLFormulaProcessor proc, XBRLExtendedLink parent, net.sf.saxon.s9api.XdmNode resNode)` Instantiates a new XBRL match concept filter.
    `XBRLMatchDimensionFilter(XBRLFormulaProcessor proc, XBRLExtendedLink parent, net.sf.saxon.s9api.XdmNode resNode)` Instantiates a new XBRL match dimension filter.
    `XBRLMatchEntityIdentifierFilter(XBRLFormulaProcessor proc, XBRLExtendedLink parent, net.sf.saxon.s9api.XdmNode resNode)` Instantiates a new XBRL match entity identifier filter.
    `XBRLMatchLocationFilter(XBRLFormulaProcessor proc, XBRLExtendedLink parent, net.sf.saxon.s9api.XdmNode resNode)` Instantiates a new XBRL match location filter.
    `XBRLMatchNonXDTScenarioFilter(XBRLFormulaProcessor proc, XBRLExtendedLink parent, net.sf.saxon.s9api.XdmNode resNode)` Instantiates a new XBRL match non xdt scenario filter.
    `XBRLMatchNonXDTSegmentFilter(XBRLFormulaProcessor proc, XBRLExtendedLink parent, net.sf.saxon.s9api.XdmNode resNode)` Instantiates a new XBRL match non xdt segment filter.
    `XBRLMatchPeriodFilter(XBRLFormulaProcessor proc, XBRLExtendedLink parent, net.sf.saxon.s9api.XdmNode resNode)` Instantiates a new XBRL match period filter.
    `XBRLMatchScenarioFilter(XBRLFormulaProcessor proc, XBRLExtendedLink parent, net.sf.saxon.s9api.XdmNode resNode)` Instantiates a new XBRL match scenario filter.
    `XBRLMatchSegmentFilter(XBRLFormulaProcessor proc, XBRLExtendedLink parent, net.sf.saxon.s9api.XdmNode resNode)` Instantiates a new XBRL match segment filter.
    `XBRLMatchUnitFilter(XBRLFormulaProcessor proc, XBRLExtendedLink parent, net.sf.saxon.s9api.XdmNode resNode)` Instantiates a new XBRL match unit filter.
    `XBRLRelativeFilter(XBRLFormulaProcessor proc, XBRLExtendedLink parent, net.sf.saxon.s9api.XdmNode resNode)` Instantiates a new XBRL relative filter.
    `XBRLValueNilFilter(XBRLFormulaProcessor proc, XBRLExtendedLink parent, net.sf.saxon.s9api.XdmNode resNode)` Instantiates a new XBRL value nil filter.
    `XBRLValuePrecisionFilter(XBRLFormulaProcessor proc, XBRLExtendedLink parent, net.sf.saxon.s9api.XdmNode resNode)` Instantiates a new XBRL value precision filter.

  - ### Uses of XBRLExtendedLink in com.ihr.xbrl.om.renderhints

    Constructors in com.ihr.xbrl.om.renderhints with parameters of type XBRLExtendedLink
    Constructor and Description
    `RenderHints(XBRLExtendedLink parent)` Constructs a new RenderHints empty resource.
    `RenderHints(XBRLExtendedLink parent, boolean bAddToParent)` Instantiates a new render hints.
    `RenderHints(XBRLExtendedLink parent, net.sf.saxon.s9api.XdmNode resNode)` Instantiates a new render hints.

  - ### Uses of XBRLExtendedLink in com.ihr.xbrl.om.table

    Constructors in com.ihr.xbrl.om.table with parameters of type XBRLExtendedLink
    Constructor and Description
    `XBRLTableResource(XBRLTableProcessor proc, XBRLExtendedLink parent, net.sf.saxon.s9api.XdmNode resNode)` Instantiates a new XBRL table resource.

  - ### Uses of XBRLExtendedLink in com.ihr.xbrl.om.taxonomy

    Methods in com.ihr.xbrl.om.taxonomy that return XBRLExtendedLink
    Modifier and Type | Method and Description
    --- | ---
    `XBRLExtendedLink` | XBRLTaxonomy.`getExtendedLink(net.sf.saxon.s9api.XdmNode key)`

  - ### Uses of XBRLExtendedLink in com.ihr.xbrl.pojo

    Methods in com.ihr.xbrl.pojo that return XBRLExtendedLink
    Modifier and Type | Method and Description
    --- | ---
    `XBRLExtendedLink` | XBRLRSGenerator.`generate(XBRLExtendedLink exLinkIn, XBRLDocument parent)` Generate.

    Methods in com.ihr.xbrl.pojo with parameters of type XBRLExtendedLink
    Modifier and Type | Method and Description
    --- | ---
    `XBRLExtendedLink` | XBRLPojoGenerator.`generate(XBRLExtendedLink dtsExtLink)` Generate.

  - ### Uses of XBRLExtendedLink in com.rs.xbrl

    Fields in com.rs.xbrl declared as XBRLExtendedLink
    Modifier and Type | Field and Description
    --- | ---
    `XBRLExtendedLink` | GenerationContext.`exlb` The exlb.